@extends ('layouts/template')

@section('content')
<link href='/fullcalendar-5.3.2/lib/main.css' rel='stylesheet' />
<script src='/fullcalendar-5.3.2/lib/main.js'></script>
<div class="container-fluid">
    <div class="row mt-4">
        <div class="col-md-6">
            <div class="card mb-2">
                <div class="card-header d-flex">
                    <?php $daysOfWeek = ['MONDAY', 'TUESDAY', 'WEDNESDAY', 'THURSDAY', 'FRIDAY', 'SATURDAY', 'SUNDAY'] ?>
                    <div class="mr-2">
                        General Availability
                    </div>
                    <div moe wide class="mr-2">
                        <a start show>
                            Add Whole Week
                        </a>
                        <form url="/api/proGeneralAvailability/createForWholeWeek">
                            <input type="hidden" name="proUid" value="{{$pro->uid}}">
                            <input type="hidden" name="timezone" value="EASTERN">
                            <div class="form-group">
                                @foreach($daysOfWeek as $dayOfWeek)
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" name="daysOfWeek[{{$loop->index}}]" id="ga_chk_{{$dayOfWeek}}" value="{{$dayOfWeek}}">
                                    <label class="form-check-label" for="ga_chk_{{$dayOfWeek}}">{{$dayOfWeek}}</label>
                                </div>
                                @endforeach
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Start Time </label>
                                <input class="form-control" type="time" name="startTime" value="08:00">
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">End Time </label>
                                <input class="form-control" type="time" name="endTime" value="17:00">
                            </div>
                            <div class="form-group m-0">
                                <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                                <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                            </div>
                        </form>
                    </div>
                    <div class="text-secondary mr-2">|</div>
                    <div moe wide class="mr-2">
                        <a start show>
                            Add Single Day
                        </a>
                        <form url="/api/proGeneralAvailability/createForSingleDay">
                            <input type="hidden" name="proUid" value="{{$pro->uid}}">
                            <input type="hidden" name="timezone" value="EASTERN">
                            <div class="form-group">
                                <select name="dayOfWeek" class="form-control">
                                    <option value=""> -- select day -- </option>
                                    @foreach($daysOfWeek as $dayOfWeek)
                                    <option value="{{$dayOfWeek}}">{{$dayOfWeek}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Start Time </label>
                                <input class="form-control" type="time" name="startTime" value="08:00">
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">End Time </label>
                                <input class="form-control" type="time" name="endTime" value="17:00">
                            </div>
                            <div class="form-group m-0">
                                <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                                <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
                <table class="table table-sm table-striped">
                    <thead>
                        <tr>
                            <th>Day</th>
                            <th>Start Time</th>
                            <th>End Time</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($daysOfWeek as $dow)
                        <tr>
                            <td>{{$dow}}</td>
                            <td>{{isset($generalAvailabilities[$dow]) ? $generalAvailabilities[$dow]->start_time : ''}}</td>
                            <td>{{isset($generalAvailabilities[$dow]) ? $generalAvailabilities[$dow]->end_time : ''}}</td>
                            <td>
                                @if(isset($generalAvailabilities[$dow]))
                                <div moe wide class="mr-2">
                                    <a start show>
                                        update
                                    </a>
                                    <form url="/api/proGeneralAvailability/update">
                                        <input type="hidden" name="uid" value="{{$generalAvailabilities[$dow]->uid}}">
                                        <input type="hidden" name="timezone" value="EASTERN">
                                        <div class="form-group">
                                            {{$generalAvailabilities[$dow]->day_of_week}}
                                        </div>
                                        <div class="form-group">
                                            <label for="" class="control-label">Start Time </label>
                                            <input class="form-control" type="time" name="startTime" value="{{military_time($generalAvailabilities[$dow]->start_time)}}">
                                        </div>
                                        <div class="form-group">
                                            <label for="" class="control-label">End Time </label>
                                            <input class="form-control" type="time" name="endTime" value="{{military_time($generalAvailabilities[$dow]->end_time)}}">
                                        </div>
                                        <div class="form-group m-0">
                                            <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                                            <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                                        </div>
                                    </form>
                                </div>
                                @endif
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>

            <div class="card mb-2">
                <div class="card-header d-flex">
                    <div class="mr-2">
                        Specific Availability
                    </div>
                    <div moe wide class="mr-2">
                        <a start show>
                            Add Specific Availability
                        </a>
                        <form url="/api/proSpecificAvailability/create">
                            <input type="hidden" name="proUid" value="{{$pro->uid}}">
                            <input type="hidden" name="timezone" value="EASTERN">
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="title" placeholder="Title">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">Start Date </label>
                                <input class="form-control" type="date" name="startDate">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">Start Time </label>
                                <input class="form-control" type="time" name="startTime">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">End Date </label>
                                <input class="form-control" type="date" name="endDate">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">End Time </label>
                                <input class="form-control" type="time" name="endTime">
                            </div>
                            <div class="form-group m-0">
                                <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                                <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
                <table class="table table-sm table-striped">
                    <thead>
                        <tr>
                            <th>Start Time</th>
                            <th>End Time</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($specificAvailabilities as $sa)
                        <tr>
                            <td>{{friendly_date_time_short_with_tz($sa->start_time, true, $sa->timezone?$sa->timezone:'EASTERN')}}</td>
                            <td>{{friendly_date_time_short_with_tz($sa->end_time, true, $sa->timezone?$sa->timezone:'EASTERN')}}</td>
                            <td>
                                <div moe wide class="mr-2">
                                    <a start show>
                                        update
                                    </a>
                                    <form url="/api/proSpecificAvailability/update">
                                        <input type="hidden" name="uid" value="{{$sa->uid}}">
                                        <input type="hidden" name="timezone" value="EASTERN">
                                        <div class="mb-2">
                                            <input type="text" class="form-control form-control-sm" name="title" value="{{$sa->title}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">Start Date </label>
                                            <input class="form-control" type="date" name="startDate" value="{{unfriendly_date($sa->start_time)}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">Start Time </label>
                                            <input class="form-control" type="time" name="startTime" value="{{military_time($sa->start_time, $sa->timezone)}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">End Date </label>
                                            <input class="form-control" type="date" name="endDate" value="{{unfriendly_date($sa->end_time)}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">End Time </label>
                                            <input class="form-control" type="time" name="endTime" value="{{military_time($sa->end_time, $sa->timezone)}}">
                                        </div>
                                        <div class="form-group m-0">
                                            <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                                            <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>

            <div class="card mb-2">
                <div class="card-header d-flex">
                    <div class="mr-2">
                        Specific Unavailability
                    </div>
                    <div moe wide class="mr-2">
                        <a start show>
                            Add Specific Unvailability
                        </a>
                        <form url="/api/proSpecificUnavailability/create">
                            <input type="hidden" name="proUid" value="{{$pro->uid}}">
                            <input type="hidden" name="timezone" value="EASTERN">
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="title" placeholder="Title">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">Start Date </label>
                                <input class="form-control" type="date" name="startDate">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">Start Time </label>
                                <input class="form-control" type="time" name="startTime">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">End Date </label>
                                <input class="form-control" type="date" name="endDate">
                            </div>
                            <div class="mb-2">
                                <label for="" class="control-label">End Time </label>
                                <input class="form-control" type="time" name="endTime">
                            </div>
                            <div class="form-group m-0">
                                <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                                <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
                <table class="table table-sm table-striped">
                    <thead>
                        <tr>
                            <th>Start Time</th>
                            <th>End Time</th>
                            <th>Title</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($specificUnavailabilities as $su)
                        <tr>
                            <td>{{friendly_date_time_short_with_tz($su->start_time, true, $su->timezone)}}</td>
                            <td>{{friendly_date_time_short_with_tz($su->end_time, true, $su->timezone)}}</td>
                            <td>{{$su->title}}</td>
                            <td>
                                <div moe wide class="mr-2">
                                    <a start show>
                                        update
                                    </a>
                                    <form url="/api/proSpecificUnavailability/update">
                                        <input type="hidden" name="uid" value="{{$su->uid}}">
                                        <input type="hidden" name="timezone" value="EASTERN">
                                        <div class="mb-2">
                                            <input type="text" class="form-control form-control-sm" name="title" value="{{$su->title}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">Start Date </label>
                                            <input class="form-control" type="date" name="startDate" value="{{unfriendly_date($su->start_time)}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">Start Time </label>
                                            <input class="form-control" type="time" name="startTime" value="{{military_time($su->start_time, $su->timezone)}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">End Date </label>
                                            <input class="form-control" type="date" name="endDate" value="{{unfriendly_date($su->end_time)}}">
                                        </div>
                                        <div class="mb-2">
                                            <label for="" class="control-label">End Time </label>
                                            <input class="form-control" type="time" name="endTime" value="{{military_time($su->end_time, $su->timezone)}}">
                                        </div>
                                        <div class="form-group m-0">
                                            <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                                            <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col-md-6">
            <div class="card">
                <div class="card-header px-3 py-2 d-flex align-items-center">
                    <strong class="">
                        <i class="fas fa-user-injured"></i>
                        My Availability
                    </strong>
                </div>
                <div class="card-body p-0">
                    <div id="pro-availability-calendar" class="mx-2 my-2"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    (function() {

        function initAvailabilityCalendar() {
            var calendarEl = document.getElementById('pro-availability-calendar');
            var calendar = new FullCalendar.Calendar(calendarEl, {
                initialView: 'dayGridMonth'
            });
            calendar.render();
        }
        addMCInitializer('pro-availability-calendar', initAvailabilityCalendar);
    })();
</script>
@endsection